plot.glofasforecast=function(date,plottype,probs){

forecastdate=as.numeric(as.Date(date))


row=forecastdate-output$startdate

if (plottype=="box"){
boxplot(output$forecastdata[row,,],xlab="Date",
        ylab="Flow (m3/s)", xaxt="n")
}

else if (plottype=="spaghetti"){
plot(1:31,output$forecastdata[row,1,],type='n',ylim=c(0,max(output$forecastdata[row,,])),xlab="Date",
     ylab="Flow (m3/s)", xaxt="n")
for (i in 1:31){
lines(1:31,output$forecastdata[row,i,])
}
}

else if (plottype=="fan"){
plot(NULL,type='n',xlim=c(0,31),ylim=c(0,max(output$forecastdata[row,,])),xlab="Date",
       ylab="Flow (m3/s)", xaxt="n")

quant=array(0,dim=c(length(probs),31))  
for (i in 1:31){
qoutput=quantile(output$forecastdata[row,,i],probs)
quant[1:length(probs),i]=qoutput[1:length(probs)]
}
for (j in 1:length(probs)){
  lines(1:31,quant[j,])
}
}

  

title(paste("GloFAS forecast for",date,"at",substr(output$filename,1,5)))

axis(1,at=c(1,5,10,15,20,25,30),labels=c(format(as.Date(forecastdate,origin="1970-01-01"),format="%d %b"),format(as.Date(forecastdate+4,origin="1970-01-01"),format="%d %b"),format(as.Date(forecastdate+9,origin="1970-01-01"),format="%d %b"),format(as.Date(forecastdate+14,origin="1970-01-01"),format="%d %b"),format(as.Date(forecastdate+19,origin="1970-01-01"),format="%d %b"),format(as.Date(forecastdate+24,origin="1970-01-01"),format="%d %b"),format(as.Date(forecastdate+29,origin="1970-01-01"),format="%d %b")))
}